Aether

Automations

Configure comment-to-DM automation rules that trigger private replies when incoming comments match defined keyword patterns.

GET
/automations/comment-to-dm

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Query Parameters

profileId?string

Response Body

curl -X GET "https://example.com/automations/comment-to-dm"
Empty
POST
/automations/comment-to-dm

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/automations/comment-to-dm" \  -H "Content-Type: application/json" \  -d '{    "profileId": "string",    "name": "string",    "keywords": [      "string"    ],    "dmMessage": "string"  }'
Empty
GET
/automations/comment-to-dm/{automationId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

automationId*string

Response Body

curl -X GET "https://example.com/automations/comment-to-dm/string"
Empty
PATCH
/automations/comment-to-dm/{automationId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

automationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PATCH "https://example.com/automations/comment-to-dm/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
DELETE
/automations/comment-to-dm/{automationId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

automationId*string

Response Body

curl -X DELETE "https://example.com/automations/comment-to-dm/string"
Empty
POST
/automations/comment-to-dm/{automationId}/test

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

automationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/automations/comment-to-dm/string/test" \  -H "Content-Type: application/json" \  -d '{    "platformPostId": "string",    "commentText": "string"  }'
Empty

On this page